summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorderfenix2015-06-13 10:19:59 +0300
committerderfenix2015-06-13 10:19:59 +0300
commitf5445ffb6b8f0069ee87f652873ec681339b9c3a (patch)
tree7704b461081c3f3a69d7c313fa0f771aebbca959
downloadaur-f5445ffb6b8f0069ee87f652873ec681339b9c3a.tar.gz
moved from old aur
-rw-r--r--.SRCINFO25
-rw-r--r--PKGBUILD52
2 files changed, 77 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..0c117e209d5
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,25 @@
+pkgbase = rhvoice-git
+ pkgdesc = free and open source speech synthesizer for Russian language
+ pkgver = 20141006
+ pkgrel = 1
+ url = https://github.com/Olga-Yakovleva/RHVoice
+ arch = i686
+ arch = x86_64
+ license = GPL3
+ makedepends = scons
+ makedepends = gcc
+ depends = expat
+ depends = pcre
+ depends = sox
+ depends = libunistring
+ depends = flite-full>=1.4
+ depends = python2
+ depends = portaudio
+ depends = glibmm
+ optdepends = alsa-utils: for using aplay
+ provides = rhvoice
+ replaces = rhvoice
+ backup = etc/RHVoice/RHVoice.conf
+
+pkgname = rhvoice-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..08089bb90a6
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,52 @@
+pkgname=rhvoice-git
+pkgver=20141006
+pkgrel=1
+pkgdesc="free and open source speech synthesizer for Russian language"
+arch=('i686' 'x86_64')
+url="https://github.com/Olga-Yakovleva/RHVoice"
+license=('GPL3')
+depends=('expat' 'pcre' 'sox' 'libunistring' 'flite-full>=1.4' 'python2' 'portaudio' 'glibmm')
+makedepends=('scons' 'gcc')
+optdepends=('alsa-utils: for using aplay')
+provides=('rhvoice')
+replaces=('rhvoice')
+backup=('etc/RHVoice/RHVoice.conf')
+
+_gitroot='https://github.com/Olga-Yakovleva/RHVoice.git'
+_gitname='RHVoice'
+
+build() {
+ cd "$srcdir"
+ msg "Connecting to GIT server...."
+
+ if [[ -d "$_gitname" ]]; then
+ cd "$_gitname" && git pull origin
+ msg "The local files are updated."
+ else
+ git clone "$_gitroot" "$_gitname"
+ fi
+
+ msg "GIT checkout done or server timeout"
+ msg "Starting build..."
+ cd "$srcdir/$_gitname"
+
+ scons prefix="/usr" sysconfdir="/etc" || return 1
+
+}
+
+package() {
+ echo "Installing package"
+ cd "$srcdir/$_gitname"
+ mkdir -p ${pkgdir}{/usr/bin/,/etc/RHVoice,/usr/lib/,/usr/include,/usr/share/RHVoice}
+ install -D build/linux/service/RHVoice{-service,-client} "${pkgdir}/usr/bin/"
+ install -D build/linux/test/RHVoice-test "${pkgdir}/usr/bin/"
+ install -D build/linux/sd_module/sd_rhvoice "${pkgdir}/usr/bin/"
+ install -D -m 644 config/RHVoice.conf "${pkgdir}/etc/RHVoice/"
+ cp -R config/dicts/ "$pkgdir/etc/RHVoice/"
+ install -m 644 build/linux/lib/libRHVoice.so "${pkgdir}/usr/lib"
+ install -m 644 build/linux/core/libRHVoice_core.so "${pkgdir}/usr/lib"
+ install -m 644 build/linux/audio/libRHVoice_audio.so "${pkgdir}/usr/lib"
+ install -m 644 src/include/RHVoice.h "${pkgdir}/usr/include/"
+ cp -R data/* "${pkgdir}/usr/share/RHVoice"
+ rm "${pkgdir}/usr/share/RHVoice/SConscript"
+}